[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.IndexOf

Return index of a data pointer in the list.

## Declaration

Source position: cachecls.pp line 84

`public function TCache.IndexOf(`
`AData: Pointer`
`):Integer;`

## Arguments

`AData` |  | Data pointer to search for.

## Function result

Index of item that matches AData

## Description

IndexOF searches in the list for a slot with data pointer that matches AData and returns the index of the slot.

If no item with data pointer that matches AData is found, -1 is returned.

For this function to work correctly, the OnIsDataEqual event must be set.

## Errors

If OnIsDataEqual is not set, an exception wil be raised.

## See also

TCache.FindSlot |  | Find data pointer in the list
TCache.Add |  | Add a data element to the list.
TCache.OnIsDataEqual |  | Event to compare 2 items.

Documentation generated on: Feb 26 2014